/* daytimed.c
 *
 * daytimed	A Server implementing the DAYTIME protocol.
 *
 * usage:	tcpd daytime daytimed &
 *
 * 07/02/92 Tnet Release	Michael Temari, <temari@temari.ae.ge.com>
 *				Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
 * 01/25/96 1.00		Michael Temari, <temari@ix.netcom.com>
 *
 */

#include <sys/types.h>
#include <time.h>
#include <stdio.h>

static char *days[] = {
  "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
};

static char *months[] = {
  "Jan", "Feb", "Mar", "Apr", "May", "Jun",
  "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
};

_PROTOTYPE(int main, (int argc, char *argv[]));

int main(argc, argv)
int argc;
char *argv[];
{
time_t now; 
struct tm *tm;

  (void) time(&now);

  if (argc != 1)	/* any arguments get old style */
	/* old stype */
	printf("%24.24s\r\n", ctime(&now));
   else {
	/* smtp style */
	tm = localtime(&now);
	printf("%s, %d %s %d %02d:%02d:%02d %s\r\n", days[tm->tm_wday],
		tm->tm_mday, months[tm->tm_mon], tm->tm_year,
		tm->tm_hour, tm->tm_min, tm->tm_sec,
		tzname[tm->tm_isdst]);
   }
   return(0);
}
